SC_APPEND_RECORD(3)

NAME
sc_append_record - Append a record to a file

SYNOPSIS

#include <opensc.h>
int sc_append_record(struct sc_card *card,
                     const unsigned char *buf, size_t buflen,
                     unsigned long flags);

DESCRIPTION

This function appends a record that is buflen bytes long from the buffer pointed to by buf to a record-structured elementary file (EF) oncard. The function corresponds to the ISO 7816 APPEND RECORD function. Call sc_select_file() first to select the file to write to.

RETURN VALUE

Returns the number of bytes written if successful, or a negative value in case of error.